<?php

namespace App\Form;

use App\Entity\FoodOrder;
use App\Entity\MenuItem;
use App\Entity\OrderItem;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class OrderItemType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('foodOrder', EntityType::class, [
                'class' => FoodOrder::class,
'choice_label' => 'id',
            ])
            ->add('menuItem', EntityType::class, [
                'class' => MenuItem::class,
'choice_label' => 'id',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => OrderItem::class,
        ]);
    }
}
