<?php
declare(strict_types=1);

namespace App\Twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

use function number_format;

use Override;

final class AppExtension extends AbstractExtension
{
    #[Override]
    public function getFilters(): array
    {
        return [new TwigFilter('cents_to_eur', $this->formatCentsToEur(...))];
    }

    public function formatCentsToEur(int $cents): string
    {
        $euros = $cents / 100;
        return number_format($euros, 2, ',', '') . ' EUR';
    }
}
